Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 650)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 651)
@@ -114,15 +114,14 @@
 	public final void __createPartControl(Composite parent) {
 		
 		// Toolbar
-		this.chartToolBar = new ChartEditorToolBar(this, SWT.FLAT | SWT.RIGHT);
-		//this.chartToolBar = new ChartEditorToolBar(this.topToolBar, SWT.FLAT | SWT.RIGHT, this);
+		this.chartToolBar = new ChartEditorToolBar(this, this.getTopToolBarContainer(), SWT.FLAT | SWT.RIGHT);
 		//this.chartToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_RED));
 
 		// Advanced tool bar
 		//this.advancedToolBarComposite = new Composite(parent, SWT.NONE);
 		Group group = this.topToolBar.installGroup("Rendering parameters", "Show/Hide rendering parameters", "platform:/plugin/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png", false);
-		this.advancedChartToolBar = new AdvancedChartEditorToolBar(group, SWT.FLAT, this);
-//		this.advancedToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
+		this.advancedChartToolBar = new AdvancedChartEditorToolBar(this, group, SWT.FLAT);
+		//this.advancedChartToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 //		this.advancedToolBarComposite.pack(true);
 
 		// Remove parent composites
@@ -155,7 +154,6 @@
 		//this.refresh(false);
 //
 //		}
-		
 	}
 
 
@@ -234,9 +232,9 @@
 		// if editor wasn't exist:
 		// hiding command parameters, updating tool bar buttons states, registering context menus and event user callbacks 
 		if(!update && !getResult().isChartDirty())	{
-			getSite().getShell().getDisplay().syncExec(new Runnable() {
-				@Override
-				public void run() {
+//			getSite().getShell().getDisplay().syncExec(new Runnable() {
+//				@Override
+//				public void run() {
 					// FIXME: decide if we automatically hide or not the parameter area
 					//editor2.getTopToolbar().setComputingParametersVisible(false);
 					
@@ -261,11 +259,10 @@
 					//editor2..setContentDescription(this.getResultData().getDetails());
 	
 					initializeAWTDelegationListeners();
-				}
-			});
+					
+//				}
+//			});
 		}
-			
-		
 	}
 	
 	
@@ -747,12 +744,4 @@
 	}
 	
 
-	
-	@Override
-	public Composite getToolBarContainer(String toolbarLocalId) {
-		if (ChartEditorToolBar.ID.equals(toolbarLocalId)) {
-			return this.getTopToolBarContainer();
-		}
-		return super.getToolBarContainer(toolbarLocalId);
-	}
 }
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 650)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 651)
@@ -1,12 +1,7 @@
 package org.txm.chartsengine.rcp.swt;
 
-import org.eclipse.core.commands.Command;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.ui.PlatformUI;
-import org.eclipse.ui.commands.ICommandService;
-import org.eclipse.ui.handlers.IHandlerService;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.chartsengine.rcp.handlers.ExportChartEditorView;
 import org.txm.rcp.editors.TXMEditorToolBar;
 
 /**
@@ -28,10 +23,10 @@
 	 * @param parent
 	 * @param style
 	 * @param toolBarId
-	 * @param chartEditorPart
+	 * @param chartEditor
 	 */
-	protected ChartEditorToolBar(ChartEditor chartEditorPart, int style, String toolBarId) {
-		super(chartEditorPart, style, toolBarId);
+	public ChartEditorToolBar(ChartEditor chartEditor, Composite parent, int style) {
+		this(chartEditor, parent, style, ChartEditorToolBar.ID);
 	}
 	
 
@@ -41,8 +36,8 @@
 	 * @param style
 	 * @param chartEditorPart
 	 */
-	public ChartEditorToolBar(ChartEditor chartEditorPart, int style) {
-		this(chartEditorPart, style, ChartEditorToolBar.ID); //$NON-NLS-1$
+	public ChartEditorToolBar(ChartEditor chartEditor, Composite parent, int style, String toolbarId) {
+		super(chartEditor, parent, style, toolbarId);
 
 		
 		//FIXME: tests
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 650)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 651)
@@ -3,9 +3,6 @@
 import java.awt.Font;
 import java.awt.GraphicsEnvironment;
 import java.util.ArrayList;
-import java.util.HashMap;
-import java.util.Iterator;
-import java.util.Map;
 
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.swt.SWT;
@@ -13,13 +10,10 @@
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.ToolBar;
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.rcp.IImageKeys;
@@ -31,26 +25,18 @@
  * @author sjacquot
  *
  */
-public class AdvancedChartEditorToolBar extends ToolBar {
+public class AdvancedChartEditorToolBar extends ChartEditorToolBar {
 
-	private ChartEditor<ChartResult> chartEditorPart;
-
-	public ChartEditor<ChartResult> getEditorPart() {
-		return chartEditorPart;
-	}
+	public final static String ID = "AdvancedChartEditorToolBar" ;
 	
-	@Override
-	protected void checkSubclass() { } // if this method is not defined then the ToolBar cannot be subclassed
-	
 	/**
 	 *
 	 * @param parent
 	 * @param style
 	 */
-	public AdvancedChartEditorToolBar(Composite parent, int style, final ChartEditor chartEditorPart) {
-		super(parent, style); //$NON-NLS-1$
+	public AdvancedChartEditorToolBar(ChartEditor chartEditor, Composite parent, int style) {
+		super(chartEditor, parent, style, AdvancedChartEditorToolBar.ID);
 		
-		this.chartEditorPart = chartEditorPart;
 		
 		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
 		//showTitle.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
@@ -58,8 +44,8 @@
 		showTitle.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
 		showTitle.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
 
-		if(!chartEditorPart.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
-			showTitle.setSelection(chartEditorPart.getResult().isTitleVisible());
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
+			showTitle.setSelection(chartEditor.getResult().isTitleVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -73,8 +59,8 @@
 		showLegend.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
 		showLegend.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
 
-		if(!chartEditorPart.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
-			showLegend.setSelection(chartEditorPart.getResult().isLegendVisible());
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
+			showLegend.setSelection(chartEditor.getResult().isLegendVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -88,8 +74,8 @@
 		showGrid.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
 		showGrid.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
 		
-		if(!chartEditorPart.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
-			showGrid.setSelection(chartEditorPart.getResult().isGridVisible());
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
+			showGrid.setSelection(chartEditor.getResult().isGridVisible());
 		}
 		// disable if not managed by the command
 		else	{
@@ -113,8 +99,8 @@
 		renderingModeCombo.pack();
 		renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
 		
-		if(!chartEditorPart.getResult().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
-			renderingModeCombo.select(chartEditorPart.getResult().getRenderingColorsMode());
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
+			renderingModeCombo.select(chartEditor.getResult().getRenderingColorsMode());
 		}
 		// disable if not managed
 		else	{
@@ -123,7 +109,7 @@
 		
 		
 		// Font selection
-		final Font currentFont = ChartsEngine.createFont(chartEditorPart.getResult().getFont());
+		final Font currentFont = ChartsEngine.createFont(chartEditor.getResult().getFont());
 		
 		final Combo fontCombo = new Combo(this, SWT.READ_ONLY);
 		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
@@ -171,7 +157,7 @@
 		ArrayList<ChartCreator> allChartCreators = new ArrayList<ChartCreator>();
 		
 		for (int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
-			ArrayList<ChartCreator> chartCreators = ChartsEngine.getChartsEngines().get(i).getChartCreators(this.chartEditorPart.getResult());
+			ArrayList<ChartCreator> chartCreators = ChartsEngine.getChartsEngines().get(i).getChartCreators(this.getEditorPart().getResult());
 			for (int j = 0; j < chartCreators.size(); j++) {
 				chartsEngineNames.add(ChartsEngine.getChartsEngines().get(i).getName());
 				allChartCreators.add(chartCreators.get(j));
@@ -219,34 +205,35 @@
 				boolean update = true;
 				
 				if(e.getSource() == showTitle)	{
-					chartEditorPart.getResult().setTitleVisible(showTitle.getSelection());
+					getEditorPart().getResult().setTitleVisible(showTitle.getSelection());
 				}
 				else if(e.getSource() == showLegend)	{
-					chartEditorPart.getResult().setLegendVisible(showLegend.getSelection());
+					getEditorPart().getResult().setLegendVisible(showLegend.getSelection());
 				}
 				else if(e.getSource() == showGrid)	{
-					chartEditorPart.getResult().setGridVisible(showGrid.getSelection());
+					getEditorPart().getResult().setGridVisible(showGrid.getSelection());
 				}
 				else if(e.getSource() == renderingModeCombo)	{
-					chartEditorPart.getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
+					getEditorPart().getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
 				}
 				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
-					chartEditorPart.getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 				else if(e.getSource() == chartTypeCombo)	{
 					
 					String[] data = StringUtils.split(chartTypeCombo.getItem(chartTypeCombo.getSelectionIndex()), '/');
 					data[0] = StringUtils.trim(data[0]);
 					data[1] = StringUtils.trim(data[1]);
-					chartEditorPart.getResult().setChartType(data[1]);
-					chartEditorPart.getResult().setChartsEngine(ChartsEngine.getChartsEngineByName(data[0]));
+					getEditorPart().getResult().setChartType(data[1]);
+					getEditorPart().getResult().setChartsEngine(ChartsEngine.getChartsEngineByName(data[0]));
 					update = false;
 				}
 
-				chartEditorPart.getResult().setChartDirty();
+				getEditorPart().getResult().setChartDirty();
 				
 				// updates or creates chart
-				chartEditorPart.compute(update);
+				getEditorPart().compute(update);
+				getEditorPart().setFocus();
 			}
 			
 			@Override
@@ -265,4 +252,9 @@
 	}
 
 
+	
+	@Override
+	protected void checkSubclass() { } // if this method is not defined then the ToolBar cannot be subclassed
+	
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 650)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 651)
@@ -32,12 +32,16 @@
 	 * Returns the chart type as defined by {@link ChartsEngine} constants.
 	 * @return
 	 */
+	@Deprecated
+	// FIXME: became useless since the ChartResult is stored in the renderer
 	public int getChartType();
 	
 	/**
 	 * Sets the chart type  
 	 * @param chartType
 	 */
+	@Deprecated
+	// FIXME: became useless since the ChartResult is stored in the renderer
 	public void setChartType(int chartType);
 	
 	/**
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 650)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 651)
@@ -16,6 +16,11 @@
 
 /**
  * JFreeChart base chart creator.
+ * 
+ * All JFC charts creators should extend this class.
+ * The updateChart(ChartResult result) method implementation of the subclasses must call super.update(result) to benefit to the shared system. 
+ * Before updating, the subclasses should call chart.setNotify(true) to avoid conflict between the updating and the rendering threads.
+ * 
  * @author sjacquot
  *
  */
@@ -30,10 +35,8 @@
 	
 
 	/**
-	 * 
-	 * @param chart
+	 * Updates the chart according to the shared parameters, also applies the current theme to the chart and the user renderer settings.
 	 * @param result
-	 * @param preferencesNode
 	 * @param applyTheme
 	 */
 	public void updateChart(ChartResult result, boolean applyTheme) {
@@ -91,10 +94,6 @@
 				}
 			}
 			
-			
-			
-			
-			
 			chart.setNotify(true);
 		}
 		// File
Index: tmp/org.txm.chartsengine.jfreechart.rcp/plugin.xml
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/plugin.xml	(revision 650)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/plugin.xml	(revision 651)
@@ -24,7 +24,7 @@
             allPopups="false"
             locationURI="toolbar:AdvancedChartEditorToolBar">
          <command
-               commandId="OpenJFCChartPropertiesEditor"
+               commandId="org.txm.chartsengine.jfreechart.rcp.handlers.OpenJFCChartPropertiesEditor"
                icon="icons/silk_chart_edit.png"
                style="push">
          </command>
@@ -34,7 +34,7 @@
          point="org.eclipse.ui.commands">
       <command
             defaultHandler="org.txm.chartsengine.jfreechart.rcp.handlers.OpenJFCChartPropertiesEditor"
-            id="OpenJFCChartPropertiesEditor"
+            id="org.txm.chartsengine.jfreechart.rcp.handlers.OpenJFCChartPropertiesEditor"
             name="Open Chart Properties">
       </command>
    </extension>
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 650)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 651)
@@ -40,19 +40,18 @@
 	 * 
 	 * @param parent
 	 * @param style
-	 * @param toolbarLocalId
+	 * @param toolbarId
 	 * @param editor
 	 */
-	public TXMEditorToolBar(TXMEditor editor, int style, String toolbarLocalId) {
-		//TODO change the test with ;
-		super(editor.getToolBarContainer(toolbarLocalId), style);
+	public TXMEditorToolBar(TXMEditor editor, Composite parent, int style, String toolbarId) {
+		super(parent, style);
 
 		this.editorPart = editor;
 
 		// permit to contribute via plugin.xml menu extension
 		ToolBarManager manager = new ToolBarManager(this);
 		IMenuService menuService = (IMenuService) this.editorPart.getSite().getService(IMenuService.class);
-		menuService.populateContributionManager(manager, "toolbar:" + toolbarLocalId); //$NON-NLS-1$
+		menuService.populateContributionManager(manager, "toolbar:" + toolbarId); //$NON-NLS-1$
 	}
 
 	@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 650)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 651)
@@ -144,9 +144,8 @@
 			rl.marginTop = rl.marginHeight = rl.marginWidth = rl.marginBottom = 0;
 			this.topToolBarContainer.setLayout(rl);
 
-			this.topToolBar = new TXMEditorToolBar(this, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
+			this.topToolBar = new TXMEditorToolBar(this, this.topToolBarContainer, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
 
-
 			this.parametersGroupsComposite = new Composite(parent, SWT.NONE);
 			GridLayout gl = new GridLayout(1, true);
 			gl.marginBottom = gl.marginHeight = gl.marginWidth = gl.marginTop = 0;
@@ -167,29 +166,30 @@
 			// display main area
 			this.resultArea = new Composite(parent, SWT.NONE);
 			this.resultArea.setLayoutData(new GridData(GridData.FILL_BOTH));
-
-			// create the top tool bar
+			
+			
+			// create the bottom tool bar
 			this.bottomToolBarContainer = new Composite(parent, SWT.NONE);
 			this.bottomToolBarContainer.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			rl = new RowLayout(SWT.HORIZONTAL);
 			rl.marginTop = rl.marginHeight = rl.marginWidth = rl.marginBottom = 0;
 			this.bottomToolBarContainer.setLayout(rl);
 
-			// bottom tool bar
-			this.bottomToolBar = new TXMEditorToolBar(this, SWT.FLAT, "bottom");
 			
+			
+			this.bottomToolBar = new TXMEditorToolBar(this, this.bottomToolBarContainer, SWT.FLAT, "bottom");
+			
 			this.__createPartControl(parent); // essentially for the ChartEditor
 			this._createPartControl(parent); // child editor create its parameters and display widgets
 			
 			
-			
 			if (!this.getResult().isDirty()) {
 				this.topToolBar.setComputingParametersVisible(false);
 			}
 			
-			// remove empty toolbars
-			// SJ: Hack?
-			if (this.bottomToolBar.getChildren().length > 0) {
+			// remove empty toolbar
+			//TODO SJ: Hack?
+			if (this.bottomToolBar.getItems().length == 0) {
 				this.bottomToolBar.dispose();
 			}
 		}
@@ -798,6 +798,7 @@
 			return this.getEditorInput().deleteResult();
 		} catch(Exception e) {
 			System.out.println("Error: could not delete result: " + e.getLocalizedMessage());
+			Log.printStackTrace(e);
 			return false;
 		}
 	}
@@ -884,17 +885,6 @@
 		viewer.getControl().setRedraw(true);
 	}
 
-
-
-	public Composite getToolBarContainer(String toolbarLocalId) {
-		if (TOP_TOOLBAR_ID.equals(toolbarLocalId)) {
-			return this.getTopToolBarContainer();
-		} else if ("bottom".equals(toolbarLocalId)) {
-			return this.getBottomToolBarContainer();
-		}
-		return this.getTopToolBarContainer(); // default toolbar container
-	}
-
 	/**
 	 * @return the lastComputingParameters
 	 */
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 650)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 651)
@@ -6,7 +6,6 @@
 
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.core.results.TXMResult;
 import org.txm.utils.logger.Log;
 
 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 650)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 651)
@@ -40,6 +40,8 @@
 	/**
 	 * Chart type constants.
 	 */
+	@Deprecated
+	// FIXME: became useless since the ChartResult is stored in the renderer
 	public final static int CHART_TYPE_PARTITION_DIMENSIONS = 0, CHART_TYPE_SPECIFICITIES = 1, CHART_TYPE_PROGRESSION = 2, CHART_TYPE_CA_FACTORIAL_MAP = 3, CHART_TYPE_CA_SINGULAR_VALUES = 4,
 			CHART_TYPE_CAH_2D = 5, CHART_TYPE_CAH_3D = 6;
 
